Bug 90124 - installer died after manualy putting required RH cd in tray.
installer died after manualy putting required RH cd in tray.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-02 16:58 EDT by jan
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 20:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jan 2003-05-02 16:58:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Using the package installer from the RH\System Settings\Add/Remove programs menu
results in an "unexpected error" when a different RH CD is in the tray than the
installer wants to install from.

for instance:
the installer looks for a package on CD 3 but CD 2 is in the tray opening the
package installer. 

Then the installer will not eject the CD-2. 

Ejecting the CD2 manualy (knop on cdromplayer) inserting CD3 and pressing <yes>
to continue the install from that CD will kill the installer.

Version-Release number of selected component (if applicable):
latest

How reproducible:
Always

Steps to Reproduce:
1.Insert CD 2 of redhat in the drive.
2.close the filebrouwser that opens.
3.start the installer from RH\System Settings\Add/Remove programs
4.select an app to install wich is located soly on CD3
5.follow the <install> buttons.
6.when the request popup for CD 3 apears, note that it wont eject.
7.Manualy eject the CD
8.Insert the correct cd and close tray.
9.click yes on the request screen.
    

Actual Results:  instead of installing the required packages from a CD the app dies.

Expected Results:  The packages should have isntalled correctly

Additional info:

Rebooted system several times. under Gnome and KDE, same results.
Comment 1 Jeremy Katz 2003-05-05 11:41:10 EDT
If you run redhat-config-packages from a terminal, are there any more
descriptive errors in the terminal?
Comment 2 Jeremy Katz 2003-07-28 20:09:17 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.